var navigator_module = weex.requireModule('tsl-navigator');
import globalEvent from '../globalEvent'
var navigator = {
    push: function (OBJECT) {
        navigator_module.push({ url: OBJECT.url, option: OBJECT.option }, OBJECT.success, OBJECT.fail, OBJECT.complete)
    },
    pop: function (OBJECT) {
        if (!OBJECT.delta) {
            OBJECT.delta = 1
        }
        navigator_module.pop({ delta: OBJECT.delta })
    },
    redirectTo: function (OBJECT) {
        navigator_module.redirectTo({ url: OBJECT.url, option: OBJECT.option }, OBJECT.success, OBJECT.fail, OBJECT.complete)
    },
    navigateTo: function (OBJECT) {
        navigator_module.push({ url: OBJECT.url, option: OBJECT.option },function(res){
            OBJECT.success(res)
            globalEvent.addEventListener({
                eventName: res.fullPath, eventCallBack: function (e) {
                    if (OBJECT.callback)
                        OBJECT.callback(e)
                }
            })
        } , OBJECT.fail, OBJECT.complete)
    },
    navigateBack: function (OBJECT) {
        if (!OBJECT.delta) {
            OBJECT.delta = 1
        }
        globalEvent.postEvent({ eventName: weex.config.bundleUrl, info: OBJECT })
        navigator_module.pop({ delta: OBJECT.delta })
    },
    exit: function (OBJECT) {
        navigator_module.exit({})
    },
    moveToback: function () {
        navigator_module.moveToback({})
    },
    getCurrentPagesSync: function () {
        return navigator_module.getCurrentPagesSync()
    },
    killAllPageExcept: function (OBJECT) {
        navigator_module.killAllPageExcept(OBJECT)
    },
    pushByScheme: function (OBJECT) {
        navigator_module.pushByScheme({ url: OBJECT.url, option: OBJECT.option }, OBJECT.success, OBJECT.fail, OBJECT.complete)
    },
    reLaunch: function (OBJECT) {

    },
    getParamInRoute:function(vm){

    }
};
export default navigator;