var tslRecorder = weex.requireModule("tsl-recorder");
var recorder = {
    startRecord: function (OBJECT) {
        tslRecorder.startRecord(OBJECT.success, OBJECT.fail, OBJECT.complete);
    },
    stopRecord: function (OBJECT) {
        tslRecorder.stopRecord(OBJECT.success, OBJECT.fail, OBJECT.complete);
    },
    getRecorderManager: function () {
        var tslRecorderManager = {}
        tslRecorderManager['onStartProcess'] = {}
        tslRecorderManager['onStopProcess'] = {}
        tslRecorderManager['onStart'] = function (e) {
            tslRecorderManager['onStartProcess'] = e;
        }
        tslRecorderManager['onStop'] = function (e) {
            tslRecorderManager['onStopProcess'] = e;
        }
        tslRecorderManager['start'] = function (e) {
            tslRecorder.startRecord(e)
            if (tslRecorderManager['onStartProcess']&&typeof(tslRecorderManager['onStartProcess'])=='function')
                tslRecorderManager['onStartProcess']();
        }
        tslRecorderManager['stop'] = function (e) {
            tslRecorder.stopRecord()
            if (tslRecorderManager['onStopProcess']&&typeof(tslRecorderManager['onStopProcess'])=='function')
                tslRecorderManager['onStopProcess']();
        }
        return tslRecorderManager
    }
}
export default recorder;