var tslUtility = weex.requireModule("tsl-utility");

var utility={
    md5StringSync:function(OBJECT){
        return tslUtility.md5StringSync(OBJECT);
    },
    getCacheSize: function (OBJECT) {
        tslUtility.getCacheSize(OBJECT.success, OBJECT.fail, OBJECT.complete);
    },
    cleanCache: function (OBJECT) {
        tslUtility.cleanCache(OBJECT.success, OBJECT.fail, OBJECT.complete);
    },
    getCacheSizeSync: function () {
        return tslUtility.getCacheSizeSync();
    },
    cleanCacheSync: function () {
        return tslUtility.cleanCacheSync();
    },
    getDeviceInfo:function(OBJECT){
        tslUtility.getDeviceInfo(OBJECT.success, OBJECT.fail, OBJECT.complete);
    },
    setClipBoard:function(OBJECT){
        tslUtility.setClipBoard({text:OBJECT.text},OBJECT.success, OBJECT.fail, OBJECT.complete);
    },
    getClipBoard:function(OBJECT){
        tslUtility.getClipBoard(OBJECT.success, OBJECT.fail, OBJECT.complete);
    },
    getTSLConfigPlistWithKey:function(OBJECT){
        return tslUtility.getTSLConfigPlistWithKey(OBJECT);
    },
    openUrl:function(OBJECT){
        tslUtility.openUrl(OBJECT);
    },
    captureView:function(OBJECT){
        tslUtility.captureView({ref:OBJECT.ref},OBJECT.success, OBJECT.fail, OBJECT.complete);
    },
    installAPK:function(OBJECT){
        tslUtility.installAPK({file:OBJECT.file},OBJECT.success, OBJECT.fail, OBJECT.complete)
    },
    getWindowHeightFor750:function(){
        var windowHeightFor750=cache.getStorageSync('windowHeightFor750')
        if(windowHeightFor750){
            return windowHeightFor750
        }else{
            var sysInfo= tslUtility.getDeviceInfoSync();
            var windowHeightFor750=sysInfo.windowHeight * 750 / sysInfo.windowWidth
            cache.setStorageSync('windowHeightFor750')
            return windowHeightFor750
        }
    },
    getComponentHeightFor750:function(otherTotalHeight){
        if(!otherTotalHeight)
            otherTotalHeight=0;
        return (getWindowHeightFor750()- otherTotalHeight)+"px"
    }
}
export default utility;