var weex_storage=weex.requireModule('tsl-storage');

var storage_Module = {
   
    setStorageSync: function (key,data) {
        return weex_storage.setStorageSync({key:key,data:data})
    },
    setStorage:function(OBJECT){
        weex_storage.setStorage({key:OBJECT.key,data:OBJECT.data}, OBJECT.success,OBJECT.fail,OBJECT.complete)
    },

    getStorageSync:function(key){
        var data = weex_storage.getStorageSync({ key: key });
        if (data && typeof data == "string") {
            try {
                if(typeof JSON.parse(data) == "object"){
                    return JSON.parse(data)
                }
            } catch (error) {
            }
            return data;
        }
        return data
    },
    getStorage:function(OBJECT){
        weex_storage.getStorage({key: OBJECT.key},function(e){
            if(OBJECT.success)
                OBJECT.success(this.getJSONObject(e))
        }.bind(this), function(e){
            if(OBJECT.fail)
                OBJECT.fail(this.getJSONObject(e))
        }.bind(this), function(e){
            if(OBJECT.complete)
                OBJECT.complete(this.getJSONObject(e))
        }.bind(this))
    },

    getJSONObject:function(ret){
        if (ret&&ret.data && typeof (ret.data) == "string") {
            try {
                ret.data = JSON.parse(ret.data)
                return ret
            } catch (error) {
            }
            return ret;
        }
        return ret
    },

    getStorageInfo:function(OBJECT){
        weex_storage.getStorageInfo(OBJECT.success,OBJECT.fail, OBJECT.complete)
    },
    getStorageInfoSync:function(){
        var data = weex_storage.getStorageInfoSync();
        if (data && typeof data == "string") {
            try {
                return JSON.parse(data)
            } catch (error) {
            }
            return data;
        }
        return data
    },
    containsStorage:function(OBJECT){
        weex_storage.containsStorage({key:OBJECT.key},function(res){
            if(res.contains){
                if(OBJECT.success)
                    OBJECT.success(res)
            }else{
                if(OBJECT.fail)
                    OBJECT.fail(res)
            }
            if(OBJECT.complete)
                OBJECT.complete(res)
        },function(res){},function(res){})
    },
    containsStorageSync:function(key){
        return weex_storage.containsStorageSync({key:key})
    },
    removeStorage:function(OBJECT){
        weex_storage.removeStorage({key:OBJECT.key},OBJECT.success,OBJECT.fail,OBJECT.complete)
    },
    removeStorageSync:function(key){
        return weex_storage.removeStorageSync({key:key})
    },
    clearStorage:function(OBJECT){
        weex_storage.clearStorage(OBJECT.success,OBJECT.fail,OBJECT.complete)
    },
    clearStorageSync:function(){
        return weex_storage.clearStorageSync()
    },
}
export default storage_Module