
var fileUtil = weex.requireModule("tsl-file");

var file = {
    saveFile: function (OBJECT) {
        fileUtil.saveFile({tempFilePath:OBJECT.tempFilePath,savedPath:OBJECT.savedPath},OBJECT.success,OBJECT.fail,OBJECT.complete)
    },
    getFileInfo:function(OBJECT){
        var digestAlgorithm = OBJECT.digestAlgorithm == undefined?"md5":OBJECT.digestAlgorithm
        fileUtil.getFileInfo({filePath: OBJECT.filePath,digestAlgorithm:digestAlgorithm},OBJECT.success,OBJECT.fail,OBJECT.complete)
    },
    getSavedFileList:function(OBJECT){
        fileUtil.getSavedFileList({filePath: OBJECT.filePath},OBJECT.success,OBJECT.fail,OBJECT.complete)
    },
    getSavedFileInfo:function(OBJECT){
        var digestAlgorithm = OBJECT.digestAlgorithm == undefined?"md5":OBJECT.digestAlgorithm
        fileUtil.getSavedFileInfo({filePath: OBJECT.filePath,digestAlgorithm:digestAlgorithm},OBJECT.success,OBJECT.fail,OBJECT.complete)
    },
    removeSavedFile:function(OBJECT){
        fileUtil.removeSavedFile({filePath:OBJECT.filePath},OBJECT.success,OBJECT.fail,OBJECT.complete)
    },
    openDocument:function(OBJECT){
        fileUtil.openDocument({filePath:OBJECT.filePath,fileType: OBJECT.fileType},OBJECT.success,OBJECT.fail,OBJECT.complete)
    },
    readFile:function(OBJECT){
        fileUtil.readFile({filePath:OBJECT.filePath},OBJECT.success,OBJECT.fail,OBJECT.complete)
    },
};
export default file;