
var modal_module = weex.requireModule('tsl-modal');
var modalmodule = weex.requireModule('modal');
var LogUtils = weex.requireModule("LogUtils");
var modal = {
    showToast: function (OBJECT) {
        modal_module.showToast({title:OBJECT.title,duration: OBJECT.duration,image:OBJECT.image,mask: OBJECT.mask})
    },
    showLoading:function(OBJECT){
        modal_module.showLoading({title: OBJECT.title,mask:OBJECT.mask})
    },
    hideToast:function(){
        modal_module.hideToast()
    },
    hideLoading:function(){
        modal_module.hideLoading()
    },
    showModal:function(OBJECT){
        modalmodule.showModal(OBJECT)
    },
    showActionSheet:function(OBJECT){
        modal_module.showActionSheet(OBJECT)
    },
    toast:function(OBJECT){
        //自带modal toast
        modalmodule.toast(OBJECT)
    },
    alert:function(OBJECT){
        modalmodule.alert(OBJECT)
    },
    log: function(msg, msgMore){
        if(LogUtils){
            LogUtils.d(msg);
        }else{
            if(msgMore){
                console.log(msg, msgMore);
            }else{
                console.log(msg);
            }
        }
    }
};
export default modal;