var net_module = weex.requireModule('tsl-net');
var net = {
    request: function (OBJECT) {
        var task = {}
        task['taskId'] = net_module.request(OBJECT, function (res) {
            if(res.data&&typeof res.data=='string'){
                try {
                    res.data=JSON.parse(res.data)
                } catch (error) {
                }
            }
            if (OBJECT.success) {
                OBJECT.success(res);
            }
            if (OBJECT.complete) {
                OBJECT.complete(res);
            }
        }, function (res) {
            res['errMsg'] = res.data
            if (OBJECT.fail) {
                OBJECT.fail(res);
            }
            if (OBJECT.complete) {
                OBJECT.complete(res);
            }
        }, function (res) {})
        task['abort'] = function () {
            net_module.abort(task['taskId'])
        }
        return task
    },
    uploadFile: function (OBJECT) {
        var task = {}
        task['progress'] = {}
        task['onProgressUpdate'] = function (res) {
            task['progress'] = res;
        }
        var progress = function (e) {
            if (typeof (task['progress']) == 'function')
                task['progress'](e)
        }
        task['taskId'] = net_module.upload(OBJECT, function (res) {
            if(res.data&&typeof res.data=='string'){
                try {
                    res.data=JSON.parse(res.data)
                } catch (error) {
                }
            }
            if (OBJECT.success) {
                OBJECT.success(res);
            }
            if (OBJECT.complete) {
                OBJECT.complete(res);
            }
        }, function (res) {
            res['errMsg'] = res.data
            if (OBJECT.fail) {
                OBJECT.fail(res);
            }
            if (OBJECT.complete) {
                OBJECT.complete(res);
            }
        }, function (res) {}, progress)
        task['abort'] = function () {
            net_module.abort(task['taskId'])
        }

        return task
    },
    downloadFile: function (OBJECT) {
        var task = {}
        task['progress'] = {}
        task['onProgressUpdate'] = function (res) {
            task['progress'] = res;
        }
        var progress = function (e) {
            if (typeof (task['progress']) == 'function')
                task['progress'](e)
        }
        task['taskId'] = net_module.download(OBJECT, function (res) {
            if(res.data&&typeof res.data=='string'){
                try {
                    res.data=JSON.parse(res.data)
                } catch (error) {
                }
            }
            if (OBJECT.success) {
                OBJECT.success(res);
            }
            if (OBJECT.complete) {
                OBJECT.complete(res);
            }
        }, function (res) {
            res['errMsg'] = res.data
            if (OBJECT.fail) {
                OBJECT.fail(res);
            }
            if (OBJECT.complete) {
                OBJECT.complete(res);
            }
        }, function (res) {}, progress)
        task['abort'] = function () {
            net_module.abort(task['taskId'])
        }

        return task
    },

    onNetworkStatusChange: function (OBJECT) {
        net_module.onNetworkStatusChange(OBJECT)
    },

    abort: function (OBJECT) {
        net_module.abort(OBJECT)
    },

    getNetworkType: function (OBJECT) {
        net_module.getNetworkType(OBJECT)
    }


};
export default  net;