var tslPush = weex.requireModule("tsl-push");
var push = {
    register: function (OBJECT) {
        tslPush.register( OBJECT.success, OBJECT.fail, OBJECT.complete)
    },
    unregister: function (OBJECT) {
        tslPush.unregister(OBJECT.success, OBJECT.fail, OBJECT.complete)
    },
    bindAccount: function (OBJECT) {
        tslPush.unregister({ account: OBJECT.account }, OBJECT.success, OBJECT.fail, OBJECT.complete)
    },
    deleteAccount: function (OBJECT) {
        tslPush.deleteAccount({ account:  OBJECT.account }, OBJECT.success, OBJECT.fail, OBJECT.complete)
    },
    setTag: function (OBJECT) {
        tslPush.setTag({ tag:  OBJECT.tag }, OBJECT.success, OBJECT.fail, OBJECT.complete)
    },
    deleteTag: function (OBJECT) {
        tslPush.deleteTag({ tag: OBJECT.tag }, OBJECT.success, OBJECT.fail, OBJECT.complete)
    },
    getToken: function (OBJECT) {
        tslPush.getToken(OBJECT.success, OBJECT.fail, OBJECT.complete)
    },
    getTokenSync: function () {
        return tslPush.getTokenSync();
    },
    showLocalNotification: function (OBJECT) {
        tslPush.showLocalNotification({ title:  OBJECT.title, content:  OBJECT.content, customContent:  OBJECT.customContent }, OBJECT.success, OBJECT.fail, OBJECT.complete)
    },
    getPushSdkTypeSync:function(){
        return tslPush.getPushSdkTypeSync();
    }
    
}
export default push;