/**tesla-native-js  可运行的环境 */
var TSL_ENV_CONSTANTS_PLATFORM = {
    'weex': 'weex',
    'browser': 'browser',
    'miniprogram': 'miniprogram',
}

/**浏览器类别， 常规浏览器  tesla2内置浏览器， 微信内置浏览器， 企业微信内置浏览器 */
var TSL_ENV_CONSTANTS_BROWSERTYPE = {
    'normal': 'normal',
    'tesla2': 'tesla2',
    'wx': 'wx',
    'wx_work': 'wx_work',
}

var TSL_ENV_CONSTANTS_OS = {
    'Android': 'Android',
    'iOS': 'iOS',
}

var isAndroid =WXEnvironment.osName=="Android"||WXEnvironment.osName=="android"
var isiOS =WXEnvironment.osName=="iOS"

var tslENV = {
    TSL_ENV_CONSTANTS_PLATFORM,
    TSL_ENV_CONSTANTS_BROWSERTYPE,
    TSL_ENV_CONSTANTS_OS,

    /**获取当前环境 */
    getCurrentPlatform: function () {
        return TSL_ENV_CONSTANTS_PLATFORM.weex;
    },
    /**获取当前浏览器类型 只在getCurrentPlatform=browser时有效, 其它环境返回为'' */
    getCurrentBrowserType: function () {
        return ''
    },
    /**获取当前系统 */
    getCurrentOS: function () {
        if (isAndroid) {
            return TSL_ENV_CONSTANTS_OS.Android
        }
        if (isiOS) {
            return TSL_ENV_CONSTANTS_OS.iOS
        }
        return ''
    },
}



export default tslENV